'Strings.inc
'
'Functions to modify and manage text strings

Sub SplitVar$(strQuery$, arg$, delimiter$)
  If InStr(strQuery$, arg$) <> 0 Then
    strVal$ = Mid$(strQuery$, InStr(strQuery$, arg$), Len(strQuery$))
    If InStr(strVal$, delimiter$) <> 0 Then
      res$ = Mid$(strVal$, Len(arg$) + 2, InStr(strVal$, delimiter$) - Len(arg$) - 2)
    Else
      res$ = Mid$(strVal$, Len(arg$) + 2, Len(strVal$))
    End If
  Else
    res$ = ""
  End If
  SplitVar$ = res$
End Sub

Sub UnEscape$(strQuery$)
  resVal$ = ""
  For j = 1 To Len(strQuery$)
    c$ = Mid$(strQuery$, j, 1)
    Select Case c$
      Case "%"
        v$ = Chr$(Val("&H" + Mid$(strQuery$, j + 1, 2)))
        resVal$ = resVal$ + v$
        j = j + 2
      Case "+"
        v$ = " "
        resVal$ = resVal$ + v$
      Case Else
        resVal$ = resVal$ + c$
    End Select
  Next j
  UnEscape$ = resVal$
End Sub

Sub Replace$ (strQuery$, lookFor$, replaceWith$)
  Result$ = strQuery$
  Do
    foundPos = InStr(Result$, lookFor$)
    If foundPos <> 0 Then
      startPos = foundPos - 1
      nextPos = foundPos + Len(lookFor$)
      strLeft$ = Left$(Result$, startPos)
      strRight$ = Mid$(Result$, nextPos, Len(Result$))
      Result$ = strLeft$ + replaceWith$ + strRight$
    Else
     Exit Do
    End If
  Loop
  Replace$ = Result$
End Sub

Sub Split()
  'To Do
End Sub

Quit