'Template.inc
'
'Parser of HTML templates

Sub ParseTemplate$(tplContent$)
  Output$ = ""
  For i = 1 To Len(tplContent$)
    ch$ = Mid$(tplContent$, i, 1)
    If ch$ = "%" Then
      Key$ = Mid$(tplContent$, i + 1, InStr(Mid$(tplContent$, i + 2, Len(tplContent$)), "%"))
      Query$ = Mid$(Key$, 1, InStr(Key$, "_") - 1)
      Value$ = Mid$(Key$, InStr(Key$, "_") + 1, Len(Key$))
      Select Case Query$
        Case "site"
          Result$ = getSettings$(Key$)
        Case "querystring"
          Result$ = QueryString$(Value$)
        Case "adminpanel"
          Result$ = AdminPanelVars$(Value$)
        Case Else
          Result$ = Key$
      End Select
      Output$ = Output$ + Result$
      i = i + InStr(Mid$(tplContent$, i + 2, Len(tplContent$)), "%") + 1
    Else
      Output$ = Output$ + ch$
    End If
  Next i
  ParseTemplate$ = Output$
End Sub

Quit