'Admin.inc
'
'All of concernient to the Admin Panel

Sub AdminBreadCrumb$(action$, cmd$)
  Select Case action$
    Case "posts"
      BreadCrumb$ = "Posts"
      If cmd$ = "1" Then Location$ = "Post editor" : End If
    Case "layout"
      BreadCrumb$ = "Layout"
      If cmd$ = "1" Then Location$ = "Layout editor" : End If
    Case "config"
      BreadCrumb$ = "Settings"
      If cmd$ = "1" Then Location$ = "Settings editor" : End If
    Case Else
      BreadCrumb$ = ""
      Location$ = ""
  End Select
  bc$ = ""
  If BreadCrumb$ <> "" Then
    bc$ = "  &raquo; <a href="""+ getenv$("SCRIPT_NAME") +"?section=admin&amp;action="+ action$ +""">"+ BreadCrumb$ +"</a>"
    If Location$ <> "" Then bc$ = bc$ + "  &raquo; "+ Location$ +" " : End If
  End If
  AdminBreadCrumb$ = bc$
End Sub

Sub AdminSidebar$(action$, cmd$)
  Select Case action$
    Case "posts" : Options$ = "New Post"
    Case "layout"
    Case "config" : Options$ = "Edit Settings"
    Case Else
  End Select
  sb$ = ""
  If cmd$ = "1" Then
    sb$ = "<li><a href="""+ getenv$("SCRIPT_NAME") +"?section=admin&amp;action="+ action$ +""">Return back</a></li>"
  Else
    sb$ = "<li><a href="""+ getenv$("SCRIPT_NAME") +"?section=admin&amp;action="+ action$ +"&amp;command=1"">" + Options$ + "</a></li>"
  End If
  AdminSidebar$ = sb$
End Sub

Sub ParseAdminContent$(tplCode$, dataCode$)
  Rex$ = ""
  For k = 1 To Len(tplCode$)
    cha$ = Mid$(tplCode$, k, 1)
    If cha$ = "%" Then
      skey$ = Mid$(tplCode$, k + 1, InStr(Mid$(tplCode$, k + 2, Len(tplCode$)), "%"))
      leftKey$ = Mid$(skey$, 1, InStr(skey$, "_") - 1)
      rightKey$ = Mid$(skey$, InStr(skey$, "_") + 1, Len(skey$))
      Select Case leftKey$
        Case "site"
          valuex$ = getSettings$(skey$)
        Case "querystring"
          valuex$ = QueryString$(rightKey$)
        Case "post"
          Select Case rightKey$
            Case "date"
              If Len(dataCode$) > 0 Then
                valuex$ = SplitVar$(dataCode$, rightKey$, "|")
              Else
                valuex$ = Now$()
              End If
            Case "content"
              valuex$ = Replace$(Replace$(SplitVar$(dataCode$, rightKey$, "|"), chr$(10), ""), "<br />", chr$(10))
            Case "status"
              If SplitVar$(dataCode$, rightKey$, "|") = "-1" Then
                valuex$ = "checked=""checked"""
              Else
                valuex$ = ""
              End If
            Case "deletecheckbox"
              If Len(dataCode$) > 0 Then
                valuex$ = "<tr><th><label for=""post_delete"">Delete this post:</label></th><td><input type=""checkbox"" id=""post_delete"" name=""post_delete"" value=""1"" /></td></tr>"
              Else
                valuex$ = ""
              End If
            Case Else
              valuex$ = SplitVar$(dataCode$, rightKey$, "|")
          End Select
        Case Else
          valuex$ = skey$
      End Select
      Rex$ = Rex$ + valuex$
      k = k + InStr(Mid$(tplCode$, k + 2, Len(tplCode$)), "%") + 1
    Else
      Rex$ = Rex$ + cha$
    End If
  Next k
  ParseAdminContent$ = Rex$
End Sub

Sub AdminContent$(action$, cmd$)
  ac$ = ""
  Select Case action$
    Case "posts"
      Select Case cmd$
        Case "1"
          'post editor
          tpl_code$ = ReadFile$(adminTpl$ + "posteditor.html")
          If QueryString$("postid") <> "" Then
            data_code$ = ReadFile$(dataPath$ + "posts\" + QueryString$("postid") + ".txt")
            ac$ = ParseAdminContent$(tpl_code$, data_code$)
          Else
            ac$ = ParseAdminContent$(tpl_code$, "")
          End If
        Case "2"
          'saving changes
          If Post$("post_id") <> "" Then
            'Vamos a trabajar sobre un post existente
            If Post$("post_delete") = "1" Then
              'Vamos a eliminar un post
              deleted = DeleteFile(dataPath$ + "posts\" + Post$("post_id") + ".txt")
              If deleted = 0 Then
                'La eliminacion resulto exitosa
                ac$ = "<div id=""message""><p>Post deleted successfully.</p></div>"
              Else
                'Problemas de permisos?
                ac$ = "<div id=""message""><p>Error No. " + str$(deleted) + "</p></div>"
              End If
            Else
              'Vamos a editar un post
              postContent$ = ""
              postContent$ = postContent$ + "post_id=" + Post$("post_id") + "|"
              postContent$ = postContent$ + "post_title=" + Post$("post_title") + "|"
              postContent$ = postContent$ + "post_date=" + Post$("post_date") + "|"
              postContent$ = postContent$ + "post_permalink=" + Post$("post_permalink") + "|"
              postContent$ = postContent$ + "post_status=" + Post$("post_status") + "|"
              postContent$ = postContent$ + "post_content=" + Replace$(Post$("post_content"), chr$(10), "<br />") + "|"
              saved = WriteFile(DataPath$ + "posts\" + Post$("post_id") + ".txt", postContent$)
              If saved = 0 Then
                ac$ = "<div id=""message""><p>Post edited successfully.</p></div>"
              Else
                ac$ = "<div id=""message""><p>Error No. " + str$(saved) + "</p></div>"
              End If
            End If
          Else
            pl$ = ReadFile$(tmpPath$ + "postlist.txt")
            If Len(pl$) > 1 Then
              lastPost_id = Val(Mid$(pl$, 1, InStr(pl$, ".")-1)) + 1
            Else
              lastPost_id = 1
            End If
            postContent$ = ""
            postContent$ = postContent$ + "post_id=" + str$(lastPost_id) + "|"
            postContent$ = postContent$ + "post_title=" + Post$("post_title") + "|"
            postContent$ = postContent$ + "post_date=" + Post$("post_date") + "|"
            postContent$ = postContent$ + "post_permalink=" + Post$("post_permalink") + "|"
            postContent$ = postContent$ + "post_status=" + Post$("post_status") + "|"
            postContent$ = postContent$ + "post_content=" + Replace$(Post$("post_content"), chr$(10), "<br />") + "|"
            saved = WriteFile(DataPath$ + "posts\" + str$(lastPost_id) + ".txt", postContent$)
            If saved = 0 Then
              ac$ = "<div id=""message""><p>Post created successfully.</p></div>"
            Else
              ac$ = "<div id=""message""><p>Error No. " & str$(saved) & "</p></div>"
            End If
          End If
          ac$ = ac$ + "<p id=""link""><a href="""+ getenv$("SCRIPT_NAME") +"?section=admin&amp;action=posts"">Continue</a></p>"
        Case Else
          'post list
          tpl_code$ = ReadFile$(adminTpl$ + "postlist.html")
          sys("dir " + dataPath$ + "posts /B /O:-N *.txt > " + tmpPath$ + "postlist.txt")
          pl$ = ReadFile$(tmpPath$ + "postlist.txt")
          Dim arrayData$(4)
          start = 1
          pos = 0
          Do While pos < 5
            f = InStr(Mid$(pl$, start, len(pl$)), chr$(10))
            arrayData$(pos) = Mid$(pl$, start, f - 1)
            start = start + f
            pos = pos + 1
          Loop
          For m = 0 to Ubound(arrayData$)
            If len(arrayData$(m)) > 0 Then
              data_code$ = ReadFile$(DataPath$ + "posts\" + arrayData$(m))
            Else
              Exit For
            End If
            acs$ = ParseAdminContent$(tpl_code$, data_code$)
            aca$ = aca$ + acs$
          Next m
          ac$ = Replace$(ReadFile$(adminTpl$ + "postlist-head.html"), "%postlist_content%", aca$)
          Erase arrayData$
      End Select
    Case "layout"
    Case "config"
      Select Case cmd$
        Case "1"
          'settings editor
          tpl_code$ = ReadFile$(adminTpl$ + "configeditor.html")
          ac$ = ParseAdminContent$(tpl_code$, "")
        Case "2"
          'saving changes
          newSettings$ = ""
          newSettings$ = newSettings$ + "site_title=" + Post$("site_title") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_description=" + Post$("site_description") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_url=" + Post$("site_url") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_admin=" + Post$("site_admin") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_email=" + Post$("site_email") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_keywords=" + Post$("site_keywords") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_encoding=" + Post$("site_encoding") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_template=" + Post$("site_template") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_language=" + Post$("site_language") + chr$(13) + chr$(10)
          newSettings$ = newSettings$ + "site_timezone=" + Post$("site_timezone") + chr$(13) + chr$(10)
          saved = WriteFile(basePath$ + "settings.txt", newSettings$)
          If saved = 0 Then
            ac$ = "<div id=""message""><p>Data saved successfully.</p></div>"
            ac$ = ac$ + "<p id=""link""><a href="""+ getenv$("SCRIPT_NAME") +"?section=admin&amp;action=config"">Continue</a></p>"
          Else
            ac$ = "<div id=""message""><p>Error No. " & str$(saved) & "</p></div>"
            ac$ = ac$ + "<p id=""link""><a href="""+ getenv$("SCRIPT_NAME") +"?section=admin&amp;action=config"">Continue</a></p>"
          End If
        Case Else
          'config list
          tpl_code$ = ReadFile$(adminTpl$ + "configdisplay.html")
          ac$ = ParseAdminContent$(tpl_code$, "")
      End Select
    Case Else
  End Select
  AdminContent$ = ac$
End Sub

Sub AdminPanelVars$(strQuery$)
  Select Case strQuery$
    Case "breadcrumb"
      r$ = AdminBreadCrumb$(QueryString$("action"), QueryString$("command"))
    Case "sidebar"
      r$ = AdminSidebar$(QueryString$("action"), QueryString$("command"))
    Case "content"
      r$ = AdminContent$(QueryString$("action"), QueryString$("command"))
    Case Else
  End Select
  AdminPanelVars$ = r$
End Sub

Sub LoadAdminPanel$()
  LoadAdminPanel$ = ParseTemplate$(ReadFile$(adminTpl$ + "template.html"))
End Sub