'Blog.inc
'
'Functions for blog management

Sub ParseBlogTemplate$(tplCode$, postCode$)
  Resultado$ = ""
  For a = 1 To Len(tplCode$)
    caracter$ = Mid$(tplCode$, a, 1)
    If caracter$ = "%" Then
      valor$ = Mid$(tplCode$, a + 1, InStr(Mid$(tplCode$, a + 2, Len(tplCode$)), "%"))
      varQuerys$ = Mid$(valor$, 1, InStr(valor$, "_") - 1)
      subVars$ = Mid$(valor$, InStr(valor$, "_") + 1, Len(valor$))
      value$ = ""
      Select Case varQuerys$
        Case "post"
          values$ = SplitVar$(postCode$, subVars$, "|")
        Case Else
          values$ = valor$
      End Select
      Resultado$ = Resultado$ + values$
      a = a + InStr(Mid$(tplCode$, a + 2, Len(tplCode$)), "%") + 1
    Else
      Resultado$ = Resultado$ + caracter$
    End If
  Next a
  ParseBlogTemplate$ = Resultado$
End Sub

Sub LoadBlog$(query$)
  resu$ = ""
  Select Case query$
    Case "content"
      If QueryString$("postid") <> "" Then
        blogContent$ = ReadFile$(tplpath$ + "post.html")
        postExists = checkFileExists(dataPath$ + "posts\" + QueryString$("postid") + ".txt")
        If postExists = 0 Then
          postContent$ = ReadFile$(dataPath$ + "posts\" + QueryString$("postid") + ".txt")
        Else
          postContent$ = "post_title=ERROR 404|post_content=<p>La entrada a la que intentas acceder no existe o aun no ha sido publicada.</p>"
        End If
        resu$ = ParseBlogTemplate$(blogContent$, postContent$)
      Else
        blogContent$ = ReadFile$(tplPath$ + "list.html")
        sys("dir " + dataPath$ + "posts /b /o:-d *.txt > " + tmpPath$ + "postlist.txt")
        r$ = ReadFile$(tmpPath$ + "postlist.txt")
        Dim arrayData$(4)
        start = 1
        n = 0
        Do While n < 5
          f = InStr(Mid$(r$, start, len(r$)), chr$(10))
          arrayData$(n) = Mid$(r$, start, f - 1)
          start = start + f
          n = n + 1
        Loop
        For m = 0 to Ubound(arrayData$)
          If len(arrayData$(m)) > 0 Then
            w = checkFileExists(DataPath$ + "posts\" + arrayData$(m))
            If w = 0 Then
              postContent$ = ReadFile$(DataPath$ + "posts\" + arrayData$(m))
            Else
              postContent$ = "post_content=<p>Ha ocurrido un error inesperado</p>"
            End If
          Else
            Exit For
          End If
          valuez$ = ParseBlogTemplate$(blogContent$, postContent$)
          resu$ = resu$ + valuez$
        Next m
        Erase arrayData$
      End If
    Case "sidebar"
      resu$ = ReadFile$(tplpath$ + "sidebar.html")
    Case Else
      resu$ = query$
  End Select
  LoadBlog$ = resu$
End Sub

Quit